Update shipping box detail
curl --request PUT \
--url https://staging.api.commercengine.io/api/v1/{store_id}/admin/store/shipping-boxes/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"length": 123,
"width": 123,
"height": 123,
"empty_box_weight": 123,
"max_weight_box_can_carry": 123,
"empty_box_price": 123,
"warehouse_id": [
"<string>"
],
"id": "<string>"
}
'import requests
url = "https://staging.api.commercengine.io/api/v1/{store_id}/admin/store/shipping-boxes/{id}"
payload = {
"name": "<string>",
"length": 123,
"width": 123,
"height": 123,
"empty_box_weight": 123,
"max_weight_box_can_carry": 123,
"empty_box_price": 123,
"warehouse_id": ["<string>"],
"id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
length: 123,
width: 123,
height: 123,
empty_box_weight: 123,
max_weight_box_can_carry: 123,
empty_box_price: 123,
warehouse_id: ['<string>'],
id: '<string>'
})
};
fetch('https://staging.api.commercengine.io/api/v1/{store_id}/admin/store/shipping-boxes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"success": true,
"content": {
"shipping_box": {
"name": "<string>",
"length": 123,
"width": 123,
"height": 123,
"empty_box_weight": 123,
"max_weight_box_can_carry": 123,
"empty_box_price": 123,
"id": "<string>",
"warehouses": [
{
"name": "<string>",
"warehouse_type": "retail-store",
"city": "<string>",
"address_line1": "<string>",
"pincode": "<string>",
"state": "<string>",
"country": "<string>",
"contact_phone": 123,
"contact_email": "<string>",
"can_receive_stock": true,
"can_ship_parcel": true,
"can_collect": true,
"is_checkout_point": true,
"accepts_returns": true,
"id": "<string>",
"active": true,
"gstin": "<string>",
"address_line2": "<string>",
"landmark": "<string>",
"country_code": "+91",
"is_default": true,
"image_url": "<string>",
"seller_warehouse_id": "<string>",
"opening_hours": {
"monday": {
"opening_time": "<string>",
"closing_time": "<string>"
},
"tuesday": {
"opening_time": "<string>",
"closing_time": "<string>"
},
"wednesday": {
"opening_time": "<string>",
"closing_time": "<string>"
},
"thursday": {
"opening_time": "<string>",
"closing_time": "<string>"
},
"friday": {
"opening_time": "<string>",
"closing_time": "<string>"
},
"saturday": {
"opening_time": "<string>",
"closing_time": "<string>"
},
"sunday": {
"opening_time": "<string>",
"closing_time": "<string>"
}
},
"channels": [
{
"id": "<string>",
"name": "<string>",
"kind": "storefront",
"active": true
}
],
"shipping_boxes": [
{
"name": "<string>",
"length": 123,
"width": 123,
"height": 123,
"empty_box_weight": 123,
"max_weight_box_can_carry": 123,
"empty_box_price": 123,
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z"
}
],
"shipping_providers": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"is_connected": true,
"is_forward_shipping": true,
"is_return_shipping": true,
"logo_dark": "<string>",
"logo_light": "<string>",
"type": "auto",
"status": "active"
}
],
"manual_methods": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"is_connected": true,
"is_forward_shipping": true,
"is_return_shipping": true,
"logo_dark": "<string>",
"logo_light": "<string>",
"type": "auto",
"status": "active"
}
],
"available_shipping_options": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"is_connected": true,
"is_forward_shipping": true,
"is_return_shipping": true,
"logo_dark": "<string>",
"logo_light": "<string>",
"type": "auto",
"status": "active"
}
]
}
],
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z"
}
}
}Store
Update shipping box detail
Update shipping box detail
PUT
/
store
/
shipping-boxes
/
{id}
Update shipping box detail
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
shipping box id
Body
application/json
Was this page helpful?
⌘I